﻿using System;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace erodnet
{
    public partial class SnapForm : Form
    {
        public SnapForm(Stream stream)
        {
            InitializeComponent();
            //bm = new Bitmap(stream);
            pictureBox1.Image = Image.FromStream(stream);
            //this.ClientSize = bm.Size;
            //this.ClientSize = pictureBox1.Image.Size;
        }

        private void saveasToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                System.Drawing.Imaging.ImageFormat f;
                switch (Path.GetExtension(saveFileDialog1.FileName).ToLower())
                {
                    case ".jpg":
                        f = System.Drawing.Imaging.ImageFormat.Jpeg;
                        break;
                    case ".jpeg":
                        f = System.Drawing.Imaging.ImageFormat.Jpeg;
                        break;
                    case ".gif":
                        f = System.Drawing.Imaging.ImageFormat.Gif;
                        break;
                    case ".png":
                        f = System.Drawing.Imaging.ImageFormat.Png;
                        break;
                    default:
                        f = System.Drawing.Imaging.ImageFormat.Bmp;
                        break;
                }
                pictureBox1.Image.Save(saveFileDialog1.FileName, f);
            }
        }
    }
}
